Getting started

Express WebPictures

What is Express WebPictures?

Express WebPictures is a software product for downloading pictures from web sites and presenting them in a simple easy to use way.

There are hundreds of thousands sites all over the Internet that include interesting or useful images. In many cases images are the only valuable content of a site. Downloading many images using standard browser procedure is a time consuming affair, as you must click on each individual image and specify the location where it will be saved.

With Express WebPictures this process is made simple and easy - you specify the URL of a page, and this smart utility explores it and downloads all images to a specified folder. You can also set the program to explore the entire web site and retrieve only those images that meet your specifications.

Express WebPictures provides a number of features to make image retrieval simple and easy:

  • Image filtering - set the minimum size of image files to be retrieved in order to avoid downloading numerous thumbnails and interface elements.
  • Image preview - shrink images to fit the preview window or view them full-size.
  • Built-in image viewer - view images in full-screen mode or run the slideshow.
  • Set selected picture as Windows wallpaper.
  • Integration with Express Thumbnail Creator to build image galleries using downloaded images.

System requirements:

  • Microsoft Windows 95/98/NT/ME/2000/XP.
  • Pentium processor.
  • 32MB RAM.
  • 1MB free disk space and additional disk space for image downloads.
  • Connection to the Internet.


User Interface

Express WebPictures

Below is a screen capture of Express WebPictures. For information on a labeled feature click its name in the list underneath.

Menu Bar

Toolbar

Project Window

Image List

URL List

Preview Window

Drop Basket

Status Bar

Menu Bar

The Menu bar displays the menu commands. The commands available depend on the application status and on what is selected/displayed. When no image is selected or no project is active, some menu items are grayed out (inactive).

The most important and frequently used commands are also displayed on the toolbar and can be accessed via the context menu (available by right mouse-click).

Toolbar

The toolbar provides buttons that access some of the frequently used commands in the menus. To activate a command, click its toolbar button. If a command is unavailable, its button appears grayed-out.

Project Window

The Express WebPictures project window displays the list of projects - e.g. names of web pages, which serve as starting addresses for image downloads. The Explorer-like interface contains two folders:

  • Projects - contains the list of projects ( [image] - active project, [image] - completed project, [image] - paused project).
  • All downloaded pictures - displays in the image list the names of all downloaded images without sorting them by projects.

Image List

Displays the list of downloaded images for the selected project or the list of all downloaded images (if All downloaded pictures folder is selected in Project Window). The right-hand column displays the size of image files. Select an image to view it in the Preview Window.

URL List

This window contains a list of links, which are either being downloaded ( [image]) or queued for download ( [image]).

Preview Window

In this window a selected image is displayed. The bar at the top of the window displays image information (file name, dimensions and file size). The image can be shrunk to fit the window or previewed full-size and scrolled.

Drop Basket

Drop Basket is a small window that is always situated on top of all other windows. It may be used for quick creation of new projects. Just drag a link and drop it on the Drop Basket and a new project with default settings will be created. You can later adjust its properties using Project Settings button in the toolbar or Project=>Options menu.

Status Bar

The Status bar, located along the bottom of the Express WebPictures window, displays information about the number of downloaded images and number of links in download queue.


Main Menu

The menu commands that are available depend on what is selected in the Express WebPictures window. Menu items that appear in gray either do not apply to the selected menu item or are unavailable. The menu items are listed below.

The most important and frequently used commands are also displayed on the toolbar and can be accessed via the context menu (available by right mouse-click).

Project

  • New - Runs the New Project wizard.
  • New Folder - Creates a new folder in the Project tree view.
  • Start - Starts the selected project(s).
  • Stop - Stops the selected project(s).
  • Delete - Deletes the selected project(s).
  • Settings - Opens the Project Settings window.

Pictures

  • Copy to - Copies selected picture files to a specified folder.
  • Delete - Deletes selected pictures.
  • Make web gallery with thumbnails - Runs Express Thumbnail Creator (must be installed on your system) to create a web gallery using downloaded pictures.
  • Set wallpaper - Sets the current picture as desktop wallpaper.
  • Slideshow mode - Runs the slideshow.
  • Full screen mode - Displays the selected image in full-screen mode.

Tools

  • Find active project - selects an active project in the Projects tree view.
  • Sort project tree alphabetically - Sorts projects in the alphabetical order.
  • Preferences - Opens the Program Settings window.
  • Start all stopped projects - Start all projects that are not running.
  • Stop all started projects - Stops all running projects.
  • Delete completed projects - Deletes all the completed projects (without deletion of downloaded pictures)

Options

  • Show drop basket - Displays/hides the Drop Basket window.
  • Shrink image - Shrinks image preview to fit the preview window.
  • Number of connections - sets the number of simultaneous connections.
  • Preferences - Opens the Program Settings window.

Help

  • Contents - Displays the help file.
  • Web site - Starts your default browser and directs it to Express WebPictures site.
  • Technical support - allows to drop a letter to our technical staff.
  • Order now - Opens a webpage with the ordering information.
  • Enter registration code - Opens a window to enter your registration code (you'll receive it after ordering).
  • About - Displays program version and registration information.


Toolbar

The toolbar provides buttons that access some of the frequently used commands in the menus. To activate a command, click its toolbar button. If a command is unavailable, its button appears grayed-out.

When you place the mouse pointer over a toolbar button, the popup description of its function appears. The functions of toolbar buttons are listed below.

Button Name | Button Image | Description
Start New Project |  | Runs the New Project Wizard.
Project Settings |  | Opens the Project Settings dialog window.
Delete Project |  | Deletes the selected project.
Start Project |  | Starts the selected project.
Stop Project |  | Stops the selected project.
Copy Images To |  | Copies selected images to a specified location.
Delete Images |  | Deletes selected images.
Create Gallery |  | Runs Express Thumbnail Creator (must be installed on your system) to create a web gallery.
Set As Wallpaper |  | Sets the current image as desktop wallpaper.
Run Slideshow |  | Runs the slideshow.
Shrink Image |  | Shrink image preview to fit the preview window.
View Image |  | Display the selected image in full-size mode.
Preferences |  | Opens the Program settings dialog window.


Hot Keys

You can open Express WebPictures menus and choose the following commands using the keyboard shortcuts listed below:

Keys | Description
Alt+P | Project Menu
Ctrl+N | Runs the New Project Wizard.
Ctrl+Del | Deletes selected project.
Alt+Enter | Opens the Project Settings dialog window.
Alt+I | Images Menu
Ctrl+C | Copies selected images to a specified location.
Del | Deletes selected images.
Ctrl+G | Runs Express Thumbnail Creator (must be installed on your system) to create a web gallery.
Ctrl+W | Sets the current image as desktop wallpaper.
Enter | Fullscreen mode
Space | Next image
BackSpace | Previous image
Alt+O | Options Menu
Ctrl+F | Shrink image to fit screen.
Alt+H | Help Menu
F1 | Help Contents


Creating A New Project

You can start the New Project wizard using the following methods:

  • Clicking Project menu and selecting New Project, or
  • Pressing the New Project ( [image]) button on the toolbar, or
  • Pressing Ctrl+N keys.
This will bring up the New Project Wizard window. The New Project Wizard will ask you a series of questions to determine what you want to do, and then create the project that will do that.

Step 1

The wizard will ask you to enter the starting address for the project. Starting address is the Internet address (URL) at which the Express WebPictures spider will begin its search. All images linked from a starting address, either directly or indirectly, "belong" to the page and will be downloaded.

Note that Internet addresses are case-sensitive. Be sure that the address you type is exactly correct. A mistyped letter or punctuation mark will invalidate the address. Copying and pasting an address out of your browser is a good way to ensure you have a valid address. If Express WebPictures doesn't retrieve any files or follow any links for your starting address, an invalid address is the most common reason.

You may also give you project an optional title that will be displayed in the project window. If you leave this field blank the project URL will be used as a title.

Later you can change the project name and add more starting addresses using "Project | Settings" menu or Project Settings toolbar button ( [image]).

Starting address is the minimum required information for creating a new project. After you have entered it, you may press Finish button and the project will be automatically launched.

If you want to specify more options for the project (such as the way the program will scan pages for images etc.), mark the Show me advanced wizard steps checkbox and press Next.

Step 2

Here you may enter your user name and password to the website.

Step 3

The wizard will next ask you to specify the "depth" of search. There are three options:

  • download pictures from the specified web page only - Express WebPictures will retrieve all pictures linked from the starting page;
  • download pictures from all the pages under sub-folders - Express WebPictures will explore all pages in the starting address directory (including sub-folders) and retrieve all images linked from these pages;
  • download pictures from all the pages available at this site - Express WebPictures will explore all pages within the starting address domain and retrieve all pictures linked from these pages.

Mark the Search for pictures outside the website checkbox to enable retrieval of the image files linked from the pages that fall within the project scope, but are situated outside the specified domain.

Step 4

Specify the folder where all downloaded images will be stored by pressing the Browse button and selecting the destination.

Step 5

Finalize the project. Mark the Start the project immediately checkbox to enable the project to be started as soon as you press the Finish button. If you mark the Open advanced properties for this project as I click Finish checkbox, the Project Settings window will be opened before the project starts.


Project Settings

General

You may use the Project Title field to give your project an optional title that will be displayed in the project window. If you leave this field blank the project URL will be used as a title.

The Download pictures section contains specifications for image file retrieval. The options are described below:

  • from the specified web page only - Express WebPictures will retrieve all pictures linked from the starting page;
  • from all the pages available under sub-folders - Express WebPictures will explore all pages in the starting address directory (including sub-folders) and retrieve all images linked from these pages;
  • from all the pages available at this site - Express WebPictures will explore all pages within the starting address domain and retrieve all pictures linked from these pages.

Mark the Search for pictures outside the website checkbox to enable retrieval of the image files linked from the pages that fall within the project scope, but are situated outside the specified domain.

The Destination folder field is used for specifying the location where the downloaded images will be stored. You can select the destination by pressing the Browse: button or by typing in the path.

Starting Address(es)

This tab contains the project starting address. You may add more starting addresses by entering them into the field at the bottom of the tab and pressing Add. Pressing the Replace button will replace the selected address with the one in the Edit starting address field. Use the Remove button to remove the selected address from the list (if there is only one starting address, it cannot be removed).

Exclude URL Filters

Use this tab to add the URLs the images from which will not be retrieved. You may use this feature to block the download of banner advertising or other unwanted content.

Add the URLs that must be blocked by entering them into the Edit filter field and pressing Add. Pressing the Replace button will replace the selected URL with the one in the Edit filter field. Use the Remove button to remove the selected URL from the list.

Size Filters

Use the spin controls at this tab to specify the minimum and maximum size of the images to be retrieved. This feature may be used for filtering off thumbnails, interface elements and other small graphics, and also very large image files you do not want to download.


Program Settings

Connection

Use the User Agent drop-down box to specify the way Express WebPictures will identify itself. By default Express WebPictures broadcasts its true identity when making requests for files. But some servers may block the user agents they do not recognize as web browsers, and other may send them not the same data you see in your browser window. If the site works well with your browser, but Express WebPictures cannot download anything, you may wish to change other identity:

  • the MSIE 5.5; Windows.98 option will cause Express WebPictures to identify itself as Microsoft Internet Explorer 5.5 running under Windows 98;
  • the MSIE 5.5; Windows.NT.5.0 option will cause Express WebPictures to identify itself as Microsoft Internet Explorer 5.5 running under Windows 2000;
  • the MSIE 6.0; Windows.98 option will cause Express WebPictures to identify itself as Microsoft Internet Explorer 6.0 running under Windows 98;
  • the MSIE 6.0; Windows.NT.5.0 option will cause Express WebPictures to identify itself as Microsoft Internet Explorer 6.0 running under Windows 2000.

The Max parallel connections option specifies the number of simultaneously retrieved files. By default the number is set to 5, but if you are working via a dedicated line you can increase this number.

The Number of connection attempts option is used to specify how many times Express WebPictures must try to retrieve a file in case the server where it is stored reports an error. The pause between the consecutive connection attempts is specified by the Pause between attempts option.

Proxy Settings

Express WebPictures can work via most proxy servers and firewalls. If your Internet/Intranet system requires that you connect to a proxy server, select the Proxy tab in the Program Settings window and specify your proxy parameters. If you do not know your proxy settings, contact your system administrator or service provider. Most proxies do not require authentication. However, if your proxy server requires an account and password, enter them in the Proxy Settings dialog box. Express WebPictures will automatically handle proxy authentication when it runs your project.

Slide Show

Use this tab to customize the slide show settings. You can select the sequence in which the images will be displayed and the duration of pause between the display of two consecutive images.


How to buy

Express WebPictures is not freeware. You are entitled to use it for evaluation purposes without charge for a period of 30 days. If you want to use EWP after the 30-day evaluation period you must pay a registration fee. For information about prices and ordering details (credit cards, voice, fax, and snail mail) please go to

http://www.express-soft.com/ewp/order.html

By purchasing Express WebPictures you are not only paying for what you have, but also investing in the future. Once you become a registered user, all minor upgrades of this software will be available to you free of charge. You will also get discounts on new versions of Express WebPictures. Registration also entitles you to receive lifelong free technical support via e-mail.

Note! Before you register, make sure you have the latest version of the software. The latest version is always can be downloaded from the following web page:

http://www.express-soft.com/downloads/


Other products

Express Thumbnail Creator

Use Express Thumbnail Creator to quickly and easily prepare your image collections to be published on the web. This smart and handy tool creates high quality thumbnails, organizes them into web pages and links to full size images. It can also resize and modify the original images.

You can use default settings or pre-built HTML templates to create nice-looking pages with just a few mouse clicks. Or you can spend some time to customize look and feel of the pages - you have total control over every tiny detail of your website. Express Thumbnail Creator recognizes all popular image formats (bmp, gif, jpg, png etc.). You can also save the templates you create and later reuse them.

The evaluation version is fully functional and it will NEVER spoil your images adding "unregistered version" caption like some other similar tools do. Click here for more information.

Express News Pictures

Express NewsPictures is a newsreader specifically designed for downloading and viewing pictures from newsgroups. It downloads articles with images inside, decodes them and saves on your hard drive. The program lets you preview pictures and filter newsgroups content based on keywords you specify. Click here for more information.